PHP Manual
Prev |  | Next

# SDO_DAS_XML::addTypes

(no version information, might be only in CVS)

SDO_DAS_XML::addTypes -- To load a second or subsequent schema file to a SDO_DAS_XML object

## Description

void SDO_DAS_XML::addTypes ( string xsd_file )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Load a second or subsequent schema file to an XML DAS that has already been created with the static method create(). Although the file may be any valid schema file, a likely reason for using this method is to add a schema file containing definitions of extra complex types, hence the name. See Example 4 of the parent document for an example.

## Parameters

xsd_file

  Path to XSD Schema file.

## Return Values

None if successful, otherwise throws an exception as described below.

## Errors/Exceptions

SDO_TypeNotFoundException

  Thrown if a type is not defined in the underlying model.

SDO_DAS_XML_ParserException

  Thrown for any problems while parsing the given XSD File.

SDO_DAS_XML_FileException

  Thrown if the specified file cannot be found.

Prev | Home | Next
SDO_DAS_XML_Document::setXMLVersion | Up | SDO_DAS_XML::create